from gcs_cli.commands.collection.create_guest import collection_create_guest
from gcs_cli.commands.collection.create_mapped import collection_create_mapped
from gcs_cli.commands.collection.delete import collection_delete
from gcs_cli.commands.collection.domain import domain_command
from gcs_cli.commands.collection.list import collection_list
from gcs_cli.commands.collection.reset_owner_string import collection_reset_owner_string
from gcs_cli.commands.collection.role import role_command
from gcs_cli.commands.collection.set_owner_string import collection_set_owner_string
from gcs_cli.commands.collection.show import collection_show
from gcs_cli.commands.collection.update import collection_update
from gcs_cli.parsing import globus_group


@globus_group(name="collection", collection_group=True)
def collection_command() -> None:
    """Manage Collections on the logged-in Endpoint"""


collection_command.add_command(collection_create_mapped)
collection_command.add_command(collection_create_guest)
collection_command.add_command(collection_delete)
collection_command.add_command(collection_list)
collection_command.add_command(collection_show)
collection_command.add_command(collection_reset_owner_string)
collection_command.add_command(collection_set_owner_string)
collection_command.add_command(collection_update)
collection_command.add_command(domain_command)
collection_command.add_command(role_command)
