from typing import Optional

import click


class Username(click.ParamType):
    meta = "USERNAME"

    def get_metavar(self, param: click.Parameter) -> str:
        return f"[{Username.meta}]"

    def convert(
        self,
        value: Optional[str],
        param: Optional[click.Parameter],
        ctx: Optional[click.Context],
    ) -> Optional[str]:
        if value is not None and "@" not in value:
            raise click.ClickException(
                f"{Username.meta} needs to be in format 'user@domain'"
            )
        return value
