import marshmallow as ma

from globus.manager.api.schemas.api.domain import domain_private_schema


class CertificateSchema(ma.Schema):
    """
    Certificate for an Endpoint
    """

    _DATA_TYPE = "certificate#1.1.0"
    DATA_TYPE = ma.fields.Str(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    domain_name = ma.fields.String()
    certificate = ma.fields.String()
    chain = ma.fields.String()
    key = ma.fields.String()

    domain = ma.fields.Nested(domain_private_schema)


certificate_schema = CertificateSchema()
