from flask import current_app

from globus.manager.api.schemas.api.info import info_schema
from globus.manager.version import __version__, __api_version__
import globus.manager.api.models as m


def info():
    client_id = current_app.config["CLIENT_ID"]
    ep = m.Endpoint.query.one()

    return info_schema.dump(
        {
            "api_version": __api_version__,
            "manager_version": __version__,
            "client_id": client_id,
            "endpoint_id": ep.endpoint_id,
            "domain_name": ep.domain_name,
        }
    )
