import click

from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    name="upgrade",
    short_help="Apply policy changes after package update",
    disable_options=["format", "explicit_host"],
)
@click.option("--verbose", "-v", is_flag=True)
@click.pass_context
def endpoint_upgrade(
    ctx,
    verbose,
) -> None:
    """
    Apply policy changes after package updates.
    """
    from .endpoint_upgrade import endpoint_upgrade as eu

    eu(ctx, verbose)
