import os
import click

from globus_gcs.service_manager import ServiceManager


def oidc_cleanup(ctx):
    if os.getuid() != 0:
        click.echo("This command must be run as the root user", err=True)
        ctx.exit(1)

    cleanup = OIDCCleanup()
    cleanup.run()


class OIDCCleanup:
    def __init__(self):
        pass

    def run(self):
        tasks = [self.disable_service]

        def show(obj):
            if obj and obj.__doc__:
                return obj.__doc__.strip().split("\n")[0]
            return ""

        with click.progressbar(tasks, item_show_func=show, show_eta=False) as bar:
            for task in bar:
                task()

    def disable_service(self):
        """
        Disable the OIDC service
        """
        ServiceManager.disable("globus-oidc", path=True)
        ServiceManager.stop("globus-oidc")
